package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.BackMqttDto;
import com.xy.dto.MqttDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * mqtt接口
 */
@RestMappingController("mqtt")
public interface MqttService {

    /**
     * 指令发布
     *
     * @param mqttDtos
     * @return k=wkSn v=布尔结果
     */
    @PostMapping("sendMqtt")
    Map<String, Boolean> sendMqtt(@RequestBody List<MqttDto> mqttDtos);

    /**
     * 指令结果回执
     *
     * @param backMqttDto
     * @return
     */
    @PostMapping("mqttBack")
    R mqttBack(@Validated @RequestBody BackMqttDto backMqttDto);
}
